import { JwtFromRequestFunction } from "passport-jwt";
import { Strategy } from "passport-strategy";
import { SupabaseClientOptions } from "@supabase/supabase-js";
import { SupabaseAuthUser } from "./user.type";
interface SupabaseAuthStrategyOptions {
    supabaseUrl: string;
    supabaseKey: string;
    supabaseOptions: SupabaseClientOptions;
    extractor: JwtFromRequestFunction;
}
export declare class SupabaseAuthStrategyBase extends Strategy {
    readonly name = "SUPABASE_AUTH";
    private supabase;
    private extractor;
    success: (user: any, info: any) => void;
    fail: (challenge: string, status: number) => void;
    constructor(options: SupabaseAuthStrategyOptions);
    validate(payload: SupabaseAuthUser): Promise<SupabaseAuthUser>;
    authenticate(req: Request): void;
    private validateSupabaseResponse;
}
export {};
